from datetime import datetime

from peewee import Model, BigIntegerField, CharField, DateTimeField

from load import db



class Users(Model):
    user_id = BigIntegerField(null=False)
    first_name = CharField(null=True)
    last_name = CharField(null=True)
    username = CharField(null=True)
    date = DateTimeField(default=datetime.now)

    class Meta:
        database = db


class Chat(Model):
    chat_id = BigIntegerField(null=False)
    group = CharField(null=False)

    class Meta:
        database = db

